<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <TargetFramework>net7.0</TargetFramework>
    <ImplicitUsings>enable</ImplicitUsings>
    <Nullable>enable</Nullable>

    <IsPackable>false</IsPackable>
  </PropertyGroup>

  <ItemGroup>
    <PackageReference Include="AutoFixture" Version="4.18.0" />
    <PackageReference Include="Microsoft.EntityFrameworkCore.InMemory" Version="7.0.12" />
    <PackageReference Include="Microsoft.NET.Test.Sdk" Version="17.3.2" />
    <PackageReference Include="Moq" Version="4.18.4" />
    <PackageReference Include="Serilog.AspNetCore" Version="7.0.0" />
    <PackageReference Include="Serilog.Extensions.Hosting" Version="7.0.0" />
    <PackageReference Include="Serilog.Sinks.AzureBlobStorage" Version="3.2.0" />
    <PackageReference Include="Serilog.Sinks.Map" Version="1.0.2" />
    <PackageReference Include="xunit" Version="2.4.2" />
    <PackageReference Include="xunit.runner.visualstudio" Version="2.4.5">
      <IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
      <PrivateAssets>all</PrivateAssets>
    </PackageReference>
    <PackageReference Include="coverlet.collector" Version="3.1.2">
      <IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
      <PrivateAssets>all</PrivateAssets>
    </PackageReference>
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\..\..\src\Microservices\BulkSigning\Business\BulkSigning.Business\BulkSigning.Business.csproj" />
    <ProjectReference Include="..\..\..\src\Microservices\BulkSigning\Core\BulkSigning.Data\BulkSigning.Data.csproj" />
    <ProjectReference Include="..\..\..\src\Microservices\BulkSigning\EngageCC.BulkSigningAPI\EngageCC.BulkSigningAPI.csproj" />
  </ItemGroup>

</Project>
